#ifndef INSERTWIN_H_DEFINED
#define INSERTWIN_H_DEFINED

#include "ui_insert_win.h"
#include <QDialog>
#include <QLineEdit>
#include <QList>

#define SILA		true
#define MOMENT		false

typedef struct prvek {
	bool sila;
	double x,SP,alfa;
} PRVEK;

class InsertWin : public QDialog, public Ui::InsertDialog {
	Q_OBJECT
	private:
		QList<PRVEK *> prvky,prvky_old;
		int prev_num;
		
	public:
		InsertWin(QWidget * p = 0);

		const QList<PRVEK *> & getPrvky() const {return prvky;};

	public slots:
		void changePrvek(int num);
		void setPrvky(int num);
		void resetAll();
		void saveLast();
		void myAccept();
		void changeTyp(int sila);
};

#endif
